सदस्यता हटाएँ
curl --request DELETE \
--url https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/account_activity/webhooks/{webhook_id}/subscriptions/{user_id}/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"subscribed": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}अकाउंट गतिविधि
सदस्यता हटाएँ
दिए गए वेबहुक और उपयोगकर्ता ID के लिए Account Activity सदस्यता हटाता है।
DELETE
/
2
/
account_activity
/
webhooks
/
{webhook_id}
/
subscriptions
/
{user_id}
/
all
सदस्यता हटाएँ
प्राधिकरण
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
पथ पैरामीटर
वह वेबहुक ID जिसके लिए सदस्यता की जाँच करनी है। इस webhook कॉन्फ़िगरेशन का अद्वितीय पहचानकर्ता।
Pattern:
^[0-9]{1,19}$उदाहरण:
"1146654567674912769"
वह उपयोगकर्ता ID जिसकी सदस्यता समाप्त करनी है। इस उपयोगकर्ता का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स से जुड़ी जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
Pattern:
^[0-9]{1,19}$उदाहरण:
"2244994945"
प्रतिक्रिया
अनुरोध सफल रहा है।
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes